module Adorn
  class DisplayContext

    # @private
    # @return [SimpleDelegator]
    def initialize(context)
      @context = SimpleDelegator.new(context)
    end

    def method_missing(method, *args, &block)
      @context.send(method, *args, &block)
    rescue => e
      super(method, *args, &block)
    end

    def respond_to_missing?(method,*)
      method =~ /#{method.to_s}/ || super
    end
  end
end
