module Adorn
  class ObjectDecorator

    # @private
    # @return [SimpleDelegator]
    def initialize(object)
      @object = SimpleDelegator.new(object)
    end

    def method_missing(method, *args, &block)
      @object.send(method, *args, &block)
    rescue => e
      super(method, *args, &block)
    end

    def respond_to_missing?(method,*)
      method =~ /#{method.to_s}/ || super
    end
  end
end
